Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032677
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2016-04-15 11:562017-09-21 16:49
ReporteregoitzView Statuspublic 
Assigned Tocollazoandy4 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision8cb1e05233d4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032677: Deleting a line on the shipment/receipt line tab takes long on environment with big amount of data

DescriptionDeleting a line on the shipment line tab takes long on environment with big amount of data.
Steps To Reproduce-On an environment with thousends of order, invoices and shipment create a goods shipement, then create a line and finally remove the line.

It takes more than 1 minute


Contact ECA for an environment where that is reproducible
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032205 closedcollazoandy4 Deleting a line on the order line window takes long on environment with big amount of data 
related to defect 0036804 closedTriage Finance Deleting a line on the shipment/receipt line tab takes long on environment with big amount of data 

-  Notes
(0085663)
egoitz (developer)
2016-04-15 11:59

The 2 seq scans don on the m_inoutline table:

'SELECT ? FROM ONLY "public"."m_inoutline" x WHERE $1::pg_catalog.text OPERATOR(pg_catalog.=) "bom_parent_id"::pg_catalog.text FOR KEY SHARE OF x'
'SELECT ? FROM ONLY "public"."m_inoutline" x WHERE $1::pg_catalog.text OPERATOR(pg_catalog.=) "canceled_inoutline_id"::pg_catalog.text FOR KEY SHARE OF x''SELECT ? FROM ONLY "public"."m_inoutline" x WHERE $1::pg_catalog.text OPERATOR(pg_catalog.=) "bom_parent_id"::pg_catalog.text FOR KEY SHARE OF x'
'SELECT ? FROM ONLY "public"."m_inoutline" x WHERE $1::pg_catalog.text OPERATOR(pg_catalog.=) "canceled_inoutline_id"::pg_catalog.text FOR KEY SHARE OF x'
(0085671)
aferraz (developer)
2016-04-15 14:33

Updated to minor and deleted resolution time.
Attached patch provided to the customer.
(0098370)
hgbot (developer)
2017-08-03 13:56

Repository: erp/devel/pi
Changeset: 8cb1e05233d4c6cc3456476266240a83ae6da1d1
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Aug 01 12:07:16 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/8cb1e05233d4c6cc3456476266240a83ae6da1d1 [^]

Fixes issue 32677: Deleting a line on the shipment/receipt line tab takes long

When deleting a line on the shipment/receipt takes more than 1 minute on
enviroment with big amount of data.

Two new partial indexes were created to improve the performance on a huge
enviroment.

---
M src-db/database/model/tables/M_INOUTLINE.xml
---
(0098373)
aferraz (developer)
2017-08-03 14:00

Code review OK
(0099296)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-04-15 11:56 egoitz New Issue
2016-04-15 11:56 egoitz Assigned To => AtulOpenbravo
2016-04-15 11:56 egoitz Modules => Core
2016-04-15 11:56 egoitz Triggers an Emergency Pack => No
2016-04-15 11:56 egoitz Issue generated from 0032205
2016-04-15 11:56 egoitz Relationship added related to 0032205
2016-04-15 11:59 egoitz Note Added: 0085663
2016-04-15 12:25 aferraz Assigned To AtulOpenbravo => Triage Finance
2016-04-15 14:33 aferraz Severity major => minor
2016-04-15 14:33 aferraz Note Added: 0085671
2016-04-15 14:34 aferraz File Added: 32677.diff
2017-07-31 11:07 aferraz Assigned To Triage Finance => collazoandy4
2017-08-01 17:22 collazoandy4 Status new => scheduled
2017-08-02 08:33 aferraz File Deleted: 32677.diff
2017-08-03 13:56 hgbot Checkin
2017-08-03 13:56 hgbot Note Added: 0098370
2017-08-03 13:56 hgbot Status scheduled => resolved
2017-08-03 13:56 hgbot Resolution open => fixed
2017-08-03 13:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8cb1e05233d4c6cc3456476266240a83ae6da1d1 [^]
2017-08-03 14:00 aferraz Review Assigned To => aferraz
2017-08-03 14:00 aferraz Note Added: 0098373
2017-08-03 14:00 aferraz Status resolved => closed
2017-08-03 14:00 aferraz Fixed in Version => 3.0PR17Q4
2017-09-07 12:16 JONHM Relationship added related to 0036804
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099296


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker